Subject: bug#457: Beowulf upgrade drops "sbin" directories from root $PATH

From: [email-masked]
Date: Sun, 10 May 2020 17:02:56 +0000

Package: unclear
Version: unclear (Beowulf-related)

Description of Problem
After upgrade from ASCII to Beowulf, /sbin, /usr/sbin, and /usr/local/sbin are dropped from the root $PATH variable.

Explanation

I performed an install of Devuan ASCII and immediately upgraded to beowulf:
sed -i 's/ascii/beowulf/g' /etc/apt/sources.list && \
apt-get update && \
apt-get dist-upgrade && \
apt-get autoremove && \
reboot

Upon reboot, I noticed that the "service" command could not be found. Nor could ifconfig. I could, however, run the command with the full path (ie, /sbin/ifconfig).

Workaround

echoing $PATH proved that there were no sbin directories (/sbin, /usr/sbin, /usr/local/sbin). I was able to work around this with a simple export PATH=$PATH:/sbin:/usr/sbin:/usr/local/sbin for my root account.

Other system information
# uname -a:
Linux HOSTNAME 4.19.0-9-amd64 #1 SMP Debian 4.19.118-2 (2020-04-29) x86_64 GNU/Linux

# lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Devuan GNU/Linux 3 (beowulf)
Release:        3
Codename:       beowulf

Of course, if I were the culprit (not the upgrade), feel free to call me out.

All the best,
- siva

Sent with [ProtonMail](https://protonmail.com) Secure Email.